Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface UserPortalState

All Superinterfaces:
  PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface UserPortalState
extends PortalResource

Interface `UserPortalState` represents the current state of a portal with respect to a specific user session. All the data required to personalize a portal displaying the currently selected portal page should be available through this interface.

Method Summary
`UserPageState` | `getCurrentUserPageState()` Deprecated. Method `getCurrentUserPageState` retrieves an object representing the state of the portal page currently selected by the associated user.
`String` | `getDisplayName()` Deprecated. Method `getDisplayName` retrieves the personalized display name of the associated portal.
`int` | `getNavBarOrientation()` Deprecated. Method `getNavBarOrientation` retrieves the currently selected navigation bar orientation for the associated user.
`PortalIdentifier` | `getPortalIdentifier()` Deprecated. Method `getPortalIdentifier` retrieves the identifier of the portal that this object is the state of.
`SkinDefinition` | `getSkin()` Deprecated. Method `getSkinIdentifier` retrieves the currently selected skin for the associated user.
`HashMap` | `getUserPageStateMetadata()` Deprecated. Method `getUserPageStateMetadata` retrieves the list of `UserPageStateMetadata` objects for pages contained within this `UserPortalState`.
`UserPageStateMetadata` | `getUserPageStateMetadata(PageIdentifier pageId)` Deprecated. Method `getUserPageStateMetadata` retrieves the list of `UserPageStateMetadata` objects for pages contained within this `UserPortalState`.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Method Detail

### getPortalIdentifier

    public PortalIdentifier getPortalIdentifier()

  Deprecated.
  Method `getPortalIdentifier` retrieves the identifier of the portal that this object is the state of.

  Specified by:
    `getPortalIdentifier` in interface `PortalScopedObject`
  Returns:
    A value of type `PortalIdentifier` used to specify the portal that this object is the state of.

### getDisplayName

    public String getDisplayName()

  Deprecated.
  Method `getDisplayName` retrieves the personalized display name of the associated portal. This data is personalized to the associated user at group scope.

  Returns:
    A value of type `String` used to describe the portal to the associated user.

### getSkin

    public SkinDefinition getSkin()

  Deprecated.
  Method `getSkinIdentifier` retrieves the currently selected skin for the associated user. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `SkinIdentifier` used to specify the currently selected skin for the associated user.

### getNavBarOrientation

    public int getNavBarOrientation()

  Deprecated.
  Method `getNavBarOrientation` retrieves the currently selected navigation bar orientation for the associated user. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `int` used to specify the currently selected navigation bar orientation for the associated user. Allowed values: Portal.NAVBAR_ORIENTATION_UNSPECIFIED, Portal.NAVBAR_ORIENTATION_VERTICAL, Portal.NAVBAR_ORIENTATION_HORIZONTAL.

### getCurrentUserPageState

    public UserPageState getCurrentUserPageState()

  Deprecated.
  Method `getCurrentUserPageState` retrieves an object representing the state of the portal page currently selected by the associated user.

  Returns:
    A value of type `UserPageState` used to specify the state of the current portal page for the associated user.

### getUserPageStateMetadata

    public UserPageStateMetadata getUserPageStateMetadata(PageIdentifier pageId)

  Deprecated.
  Method `getUserPageStateMetadata` retrieves the list of `UserPageStateMetadata` objects for pages contained within this `UserPortalState`.

  NOTE: the definition of `UserPortalState` requires that only `UserPageStateMetadata` objects associated with visible `Page` objects be maintained in the `UserPortalState`.

  Returns:
    A value of type `List` containing objects of type `UserPageState` representing the state of all visible portal pages for the associated user.

### getUserPageStateMetadata

    public HashMap getUserPageStateMetadata()

  Deprecated.
  Method `getUserPageStateMetadata` retrieves the list of `UserPageStateMetadata` objects for pages contained within this `UserPortalState`.

  NOTE: the definition of `UserPortalState` requires that only `UserPageStateMetadata` objects associated with visible `Page` objects be maintained in the `UserPortalState`.

  Returns:
    A value of type `List` containing objects of type `UserPageState` representing the state of all visible portal pages for the associated user.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved